All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
httpform.h File Reference
`#include <ptclib/http.h>`
`#include <ptclib/html.h>`

Go to the source code of this file.

## Classes

class | PHTTPField
| This class is the abstract base class for fields in a `PHTTPForm` resource type. More...
class | PHTTPCompositeField
class | PHTTPSubForm
class | PHTTPFieldArray
class | PHTTPStringField
class | PHTTPPasswordField
class | PHTTPDateField
class | PHTTPIntegerField
class | PHTTPBooleanField
class | PHTTPRadioField
class | PHTTPSelectField
class | PHTTPForm
class | PHTTPConfig
class | PHTTPConfigSectionList

## Functions

| PARRAY (PHTTPFields, PHTTPField)

## Function Documentation

PARRAY | ( | PHTTPFields | ,
|  | PHTTPField |
| ) |  |